export interface itemType {
    imgUrl: string;
    link: string;
}
interface SwiperType {
    defaultValue?: Array<itemType>;
    type?: number;
    autoplay?: boolean;
    autoplayInterval?: number;
    direction?: 'horizontal' | 'vertical';
    loop?: boolean;
    paddingTop?: number;
    paddingBottom?: number;
    paddingLeft?: number;
    paddingRight?: number;
    selectImg?: Array<itemType>;
    imgHeight?: {
        height: number;
        width: number;
    };
}
export declare const Slider: import("react").NamedExoticComponent<SwiperType>;
export {};
